dan200.computercraft.api.media

## Interface IMediaProvider

    public interface IMediaProvider

This interface is used to provide IMedia implementations for ItemStack

See Also:
  `ComputerCraftAPI.registerMediaProvider(IMediaProvider)`

### Method Summary

Methods
`IMedia` `getMedia(ItemStack stack)` Produce an IMedia implementation from an ItemStack.

### Method Detail

#### getMedia

    IMedia getMedia(ItemStack stack)

Produce an IMedia implementation from an ItemStack.

Returns:
  an IMedia implementation, or null if the item is not something you wish to handle
See Also:
  `ComputerCraftAPI.registerMediaProvider(IMediaProvider)`